Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Appel à contributeurs. Réunion pour la refonte du wiki lundi 26 juin

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

nombre réponses : 25

#0 Re : -1 »  Changer le disque dur d'un laptop Dell, conseil » Le 18/06/2017, à 15:31

Gatsu
Réponses : 19

Salut alex2423

J'ai un vieux Dell Inspiron 1525 sur lequel j'ai changé le disque dur il y a quelque temps, et je vois que sur ton modèle aussi il y a un espèce de rack de guidage pour le disque.

Je pensais comme toi que les 2.5" étaient tous identiques et je me suis fait avoir. En fait il existe des disques durs de 9.5mm et 7mm d'épais.
Et avec le rack de Dell, les disques de 7mm ne s'enclenchent pas correctement sur mon portable. Ce qui fait qu'il est impossible de connecter ce type de disque dur. J'ai dû en racheter un autre de 9.5mm qui s'enclenche parfaitement et j'ai utilisé le 7mm dans une autre machine.

En regardant les caractéristiques de ton disque dur actuel, un Seagate ST980811AS, on voit qu'il fait 9.5mm d'épais.
http://www.seagate.com/staticfiles/supp … 98882c.pdf

Donc à part s'assurer que le nouveau disque fait bien 9.5mm, je ne vois pas ce qui pourrait coincer.
Pour info, j'ai mis celui dans mon Dell Inspiron : http://www.ldlc.com/fiche/PB00129816.html

#1 Re : -1 »  Changer le disque dur d'un laptop Dell, conseil » Le 19/06/2017, à 20:51

Gatsu
Réponses : 19

Franchement, je ne vois pas trop comment il pourrait installer un SSD dans son vieux coucou. Je ne parle pas d'un point de vue connectique, mais d'un point de vue physique/encombrement. Son portable, s'il est comme le mien, n'est prévu que pour un disque de 9.5mm d'épais. Et si quelqu'un trouve un SSD de 9.5mm, il faut tout de suite fournir un lien. J'ai fait un rapide tour et je n'ai vu que des 7mm d'épais.

@ alex2423
Tu fais bien de te poser la question du changement de disque dur en ce moment, il devient de plus en plus difficile d'en trouver en 9.5mm.
Les rares que j'ai pu trouver, et qui ne soient pas en rupture :
- Toshiba 1 To (70€) : http://www.ldlc.com/fiche/PB00165924.html
- WD Blue Mobile 750 Go (60€) : http://www.ldlc.com/fiche/PB00151163.html

#2 Re : -1 »  Changer le disque dur d'un laptop Dell, conseil » Le 20/06/2017, à 19:16

Gatsu
Réponses : 19
krodelabestiole a écrit :

heu...
un disque dur (ou un ssd) de 7mm ça rentre dans un espace de 9,5mm hein smile

je pige pas l'idée Gatsu ?

Oui, les vis sont au même endroit, il s'insère correctement dans le support, il y est fixe et stable, l'ensemble rentre correctement dans la glissière du portable, mais les connectiques ne sont pas au même niveau, ce qui fait que le disque n'est pas branché.

J'ai passé un temps fou a essayé de comprendre pourquoi. Tout semble identique, les connectiques sont disposées de la même façon, la longueur et la largeur sont strictement identiques, bref tout devrait fonctionner sans souci, sauf que non, la petite différence dans l'épaisseur fait que le disque dur reste "dans le vide" et ne s'enclenche pas dans port SATA 2 du portable.

Alors peut-être qu'on peut bricoler un truc pour caler ici ou là, mais je ne connais pas l'habileté de alex2423 dans le domaine, donc je me garderai bien de lui conseiller un DD ou un SSD en 7mm.

Voir les 2 derniers commentaires ici (en anglais) :
https://superuser.com/questions/375543/ … p-hdd-slot

#3 Re : -1 »  Changer le disque dur d'un laptop Dell, conseil » Le 20/06/2017, à 19:58

Gatsu
Réponses : 19

Je viens de débrancher le bouzin pour photographier l'intérieur et on voit bien le souci sur mon portable. Il y a des lamelles ressorts dans la glissière sous le disque dur qui plaquent la face supérieure du DD contre le dessus de la glissière. Ce qui fait qu'avec un disque dur de 2.5mm de moins, les connectiques du DD sont trop haute par rapport à celles du portable et le contact ne se fait pas.

1497980283.jpg 1497980295.jpg

Pour que ça fonctionne, il faudrait coller des bandes d'env. 2.5mm sur le dessus du disque dur pour qu'il se positionne à la bonne hauteur.

Je rappelle au passage que mon portable n'est pas le même que celui d'alex2423, et il se pourrait qu'il n'y ait pas de problème avec le sien.

#4 Re : -1 »  Jeu non-Steam qui ne se lance pas via Steam » Le 11/06/2017, à 23:16

Gatsu
Réponses : 4

Question bête : est-ce que OpenMW se lance sans Steam, genre en ligne de commande ?

#5 Re : -1 »  Recherche l'administrateur du site pix.tdct.org » Le 13/04/2017, à 22:55

Gatsu
Réponses : 4

Salut golgot200

Va plutôt demander par ici :
https://forum.ubuntu-fr.org/viewtopic.p … action=new

TDCT = Topic Des Couche-Tard

#6 Re : -1 »  Steam et Ubuntu 16.04 » Le 16/10/2016, à 23:58

Gatsu
Réponses : 60

Bon, maintenant que c'est réparé, je reprends le flambeau. Il est temps de tout recasser. cool

Je te propose plusieurs points d'amélioration :

  • Le pilote 367.44, ça fait pas sérieux. Passe à la dernière version à jour des dépôts, la 370.28.

  • De ce que j'ai compris, tu n'as pas de fichier /etc/X11/xorg.conf, il faut remédier à ça. Balance la commande sudo nvidia-xconfig dans un terminal.

  • Comme la plupart des utilisateurs Nvidia, tu vas être sujet au screen-tearing. Pour y remédier, dans ton xorg.conf ajoute Option "TripleBuffer" "true" dans la Section "Screen".

Bon allez, bon courage, on se revoit demain.
J'espère que tu as pensé à libérer ta soirée abelthorne. tongue

#7 Re : -1 »  Steam et Ubuntu 16.04 » Le 17/10/2016, à 01:31

Gatsu
Réponses : 60
taamer a écrit :

Hé hé, avant de faire tout cela, je vais d'abord profiter un peu de la config :-)

Tu as raison, tant que ton Civ V fonctionne, il n'y a aucune urgence à tout péter.

taamer a écrit :

Pour la version du pilote : je me suis fié à ce que disait nvidia.com pour ma carte-graphique : ni le nvidia-367.57 ni le nvidia-370.28 ne semblent apporter quelque chose à ma config (confirmé par la page du ppa:graphics-drivers/ppa). Mais sur le principe, je peux faire joujou avec les drivers, casser et reconstruire, j'ai l'habitude maintenant.

Disons qu'une nouvelle version apporte souvent ses améliorations, comme par exemple avec la 370.28 pour Wargame: European Escalation qui corrige des bugs graphiques qui existaient depuis 2 ans.
> Wargame: European Escalation works once again for Nvidia users, two years after breaking

Mais ça peut aussi apporter de nouveaux bugs comme pour L'Ombre du Mordor qui a des textures invisibles depuis plus de 6 mois.
> Looks like Shadow of Mordor has bad graphical bugs with Nvidia 364.12
Il y a apparemment une solution qui existe pour ce jeu que je n'ai pas encore essayée, vu que je l'ai fini il y a pas mal de temps.

L'un dans l'autre, en général c'est plus souvent bénéfique. Surtout pour les cartes les plus récentes.

taamer a écrit :

Ok pour remettre un fichier xorg.conf - a-t-on une idée du pourquoi l'installation du driver nvidia en génère parfois un tout seul, et pas la dernière fois?

Alors là, aucune idée. Normalement le pilote Nvidia ne devrait pas pouvoir fonctionner sans. Il y en a surement un caché dans /etc/X11/xorg.conf.d/, /usr/share/X11/xorg.conf.d, ou encore autre part.

Je suis sur Debian et je n'ai pas d'Ubuntu 16.04 sous la main pour te le confirmer. Quoiqu'il en soit il n'y a aucune urgence, il ne te servira que si tu veux te débarrasser du screen-tearing..

taamer a écrit :

Je regarderai l'histoire du screen-tearing (je ne visualise pas ce que ça fait)

Le screen-tearing c'est le fait de voir l'image cisaillée horizontalement, principalement lorsqu'on déplace la caméra horizontalement de façon rapide.
Tu peux voir à quoi ça ressemble sur cette vidéo avec ralenti : https://www.youtube.com/watch?v=jVAFuUAKPMc

C'est dû au fait que la carte graphique veuille afficher la prochaine image, alors qu'elle n'est encore qu'en cours de calcul.
Ce qui donne :

  • en haut de l'écran = début de la  prochaine image en cours de calcul

  • en bas de l'écran = reste de l'image précédente pas encore remplacée

Le triple buffer fait en sorte de n'afficher que des images complètement calculées. Le pilote Nvidia ayant tendance à foirer même avec la synchronisation verticale activée (Vsync = On dans les jeux), qui pourtant est une option prévue précisément pour se débarrasser du screen-tearing.


Bref tout ça pour dire que tant que ça fonctionne, ce n'est pas la peine de t'en préoccuper. Mais suivant tes exigences, un jour ou l'autre la question va se poser.


EDIT: @abelthorne
Je voudrais te dire bravo. J'aurais jamais réussi à trouver l'origine de son problème. smile
C'est la première fois que j'entends parler de /etc/ld.so.conf.d/.

#8 Re : -1 »  Mapper un joypad (résolu!) » Le 13/02/2017, à 19:18

Gatsu
Réponses : 12

Antimicro est encore et toujours maintenu. C'est juste le dev principal qui a décidé de partir, l'équipe est toujours là. Et vu que tout était sur les comptes persos du dev principal, ils ont décidé de tout déménager sur des comptes neutres.

Voir ici :
https://github.com/AntiMicro/antimicro

Et le nouveau PPA pour Ubuntu est là :
https://launchpad.net/%7Emdeguzis/+arch … /libregeek

#9 Re : -1 »  Des jeux pour jouer en couple ? » Le 12/02/2017, à 00:57

Gatsu
Réponses : 14
abelthorne a écrit :

Oui alors bon, c'était justement une miniature qui pointait vers l'image en taille réelle. Si elle était trop grosse au goût des modérateurs, c'était peut-être une meilleure idée de la remplacer par un lien vers l'image en taille réelle plutôt qu'un lien vers la miniature, parce que là, l'article est illisible et je n'ai plus le lien vers l'image grand format.

Là, ça devrait être ok, et on peut cliquer sur l'image pour la voir en taille réelle.

4d8abaf4-831e-4cab-a403-101a3c94c282.jpg

#10 Re : -1 »  Suivi de discussion par RSS » Le 12/02/2017, à 00:48

Gatsu
Réponses : 15

Salut

Apparemment le problème vient du fait que le flux commence par une ligne vide, alors que la première ligne devrait être

<?xml version="1.0" encoding="utf-8"?>

Certains lecteurs RSS font la correction automatiquement comme quiteRSS, mais d'autres bloquent dessus comme Firefox ou Akregator.
Si un administrateur passait par là, la correction serait la bienvenue.

Merci

#11 Re : -1 »  GOG sur Linux ? » Le 03/12/2016, à 12:53

Gatsu
Réponses : 148

Je sais que l'offre se termine bientôt. Juste une petite précision sur Neverwinter Nights, la version Linux est entièrement téléchargeable sur le site de Bioware (voir lien dans la doc fourni par Abelthorne). Il suffit juste d'entrer les numéros de série fournis par GOG. Et ça se trouve ici :

1480761053.png

Sinon il me reste un code que j'ai reçu gratuitement lors de la dernière promotion pour le jeu Dex : https://www.gog.com/game/dex
Je ne sais pas s'il est encore valide, mais vous pouvez toujours tenter le coup.

XR5209???DF00??E20
??? = 2 à la puissance 7
?? = département du Nord

Et un autre pour Shadowrun: Dragonfall - Director's Cut, dispo en anglais uniquement : https://www.gog.com/game/shadowrun_drag … ectors_cut

LPPM5D???6F3FA??DA
??? = 2 à la puissance 4, multiplié par 53
?? = département de la Seine et Marne

#12 Re : -1 »  Amnesia: A Machine for Pigs » Le 07/01/2017, à 01:03

Gatsu
Réponses : 15
Gerardll51 a écrit :

Ah oui j'avais regardé ces jeux là, j'avais trouvé ça pas top mal.
Peut-être que je vais les prendre, je ne sais pas.

Si tu veux il me reste une clé Steam d'un vieux Humble Bundle pour Limbo. Je peux te la donner si ça t'intéresse.

#13 Re : -1 »  Amnesia: A Machine for Pigs » Le 07/01/2017, à 10:38

Gatsu
Réponses : 15

Les Humble Bundles c'est ça : https://www.humblebundle.com/

En ce moment c'est le Humble Bundle Assassin's Creed parrainé par Omar Sy (la vidéo de présentation est en français), mais les jeux sont tous exclusivement sur Windows et sur Uplay (un concurrent à Steam mais qui ne fait pas Linux).

Le principe :
- Si tu donnes une somme minimale, en général 1€, tu as la première série de jeux, ici les 4 premiers.
- Si tu donnes au moins 7.62€, tu as en plus les 3 suivants.
- Si tu donnes 14.17€ ou plus, tu as la totalité des 9 jeux.

Plus bas tu peux ajuster les curseurs de ton don entre les développeurs des jeux, l'oeuvre de charité parrainée et les gars qui gèrent les Humble Bundles.

Pour voir si un jeu fonctionne sur Linux, tu auras un petit tux dans le coin de l'image du jeu.
Le plus simple c'est de suivre le sujet créé par Abelthorne sur Ubuntu-fr, il le met à jour dès qu'il y a du nouveau :
https://forum.ubuntu-fr.org/viewtopic.php?id=1274051

Depuis 2010 que les Humble Bundles existent, j'ai un paquet de jeux en double.

Je viens de t'envoyer en privé un lien pour la clé de Limbo.

#14 Re : -1 »  Amnesia: A Machine for Pigs » Le 07/01/2017, à 18:14

Gatsu
Réponses : 15

De rien. Bon jeu. smile

#15 Re : -1 »  Nouvelle config de PC de bureau gamer&pro ? » Le 17/12/2016, à 01:57

Gatsu
Réponses : 6

Salut Billou

Juste quelques remarques supplémentaires.

billou a écrit :

Alimentation : Be Quiet! ATX 800W : 140€ fdpin => https://www.amazon.fr/gp/product/B00NC4 … UTF8&psc=1

Comme dit par donut dans son post juste au-dessus et le précédent, c'est un peu overkill. Même avec une Nvidia 1080 c'est 500W conseillé et en général ils conseillent large pour pas être emmerdés.

Bien qu'officiellement disponible sur Linux, aucun jeu ne permet de tirer parti du SLI.
L'arrivée de Vulkan + DX12 va surement bouleverser tout ça. Ces 2 API devant pouvoir utiliser plus facilement le multi-GPU, on risque de voir autre chose émerger.

billou a écrit :

Carte mère : Maxiumus VIII Hero  : 210€ fdpin => http://www.cdiscount.com/informatique/c … ihero.html
(Son : Casque AKG Q701 que j'ai déjà (la carte mère intègre déjà un excellent DAC))

Attention à ces cartes mères soit disant "haut de gamme", en général c'est de la merde et les taux de retour sont monstrueux.
Environ 5% de cartes défectueuses sur les 6 derniers mois sur ce modèle précisément. Donc attend-toi à devoir retourner ton matos et ne pas pouvoir en profiter pendant quelques temps. Ce n'est pas systématique, mais très chiant quand ça arrive.

billou a écrit :

Carte graphique : GTX 1080 prévue, temporisation car possibilité de baisse en janvier avec la sortie probable d'une 1080Ti voir même la nouvelle génération d'AMD, donc j'attends une belle baisse/promo, vu que c'est cette partie qui tombe le plus rapidement dans l'obsolescence, je ne suis pas pressé de jouer pour le moment, j'ai avant tout besoin d'une excellente machine de bureau avec un superbe écran équivalent à du double écran, si vous avez des conseils en la matière, je suis tout ouïe.

Achète uniquement quand tu en auras besoin. Ce sera obligatoirement moins cher et/ou plus performant.
Si tu t'orientes vers AMD, choisit plutôt une distrib en rolling release afin d'avoir les mises à jour du driver plus rapidement.

Dans tous les cas, si tu recherches uniquement la performance pure, c'est Nvidia, si c'est l'éthique libre qui importe, c'est AMD.

billou a écrit :

Gamepads x2 : Là c'est le flou complet, je ne sais plus, j'ai eu des pad x360, mais je n'en veux plus... Le pad steamOS ne me branche pas des masses... Peut être celui de la PS4, mais de mémoire synchro la manette PS3 était chiant, j'ai besoin d'un truc natif sous Linux aussi, des idées ?

Le Steam Controller (SC) est très bon pour remplacer le couple clavier/souris. Moins bon pour remplacer un pad Xbox/PS. Il est sans fil et les piles tiennent des mois. Poids: 230g à vide, 290g piles incluses. Le poids étant dans les "branches", il n'y a aucune fatigue sur la durée. Il y a un petit temps d'adaptation au départ, dû à la nouveauté, mais une fois en main c'est parfait pour tout type de jeu, vieux ou récents. Personnellement, ça fait un an que je l'utilise et j'ai totalement abandonné mon pad Xbox360.

Si tu comptes faire pas mal d'émulation, je te conseille tout de même un pad standard. N'ayant eu qu'un pad Xbox360 filaire et n'utilisant que le SC, je ne saurais pas trop quoi te conseiller. Peut-être celui de la PS4, qui semble être pris en compte directement par Steam à la façon du SC depuis récemment (1 - 2). Mais je ne l'ai pas testé personnellement sur Linux.

#16 Re : -1 »  Neverwinter Nights - Et maintenant ? » Le 03/12/2016, à 15:48

Gatsu
Réponses : 35

Tout pareil que Elzen chez moi. J'ai toujours la même installation depuis pas loin de 10 ans maintenant, j'ai réessayé aujourd'hui et ça fonctionne toujours sans problème. J'ai juste dû installer la libsdl1.2 en 32 bits parce qu'elle était manquante sur mon installation.

apt-get install libsdl1.2debian:i386

Je suis sur Debian Jessie 8.6, avec le noyau 4.7.8-bpo

Essaye de lancer un coup de ldd sur nwmain dans le répertoire d'installation pour voir s'il ne te manque pas autre chose.

ldd nwmain

Chez moi il me signale juste libmss.so.6 => not found, mais ça n'a pas l'air de déranger plus que ça, le jeu se lance sans souci.

#17 Re : -1 »  Voyage à vélo, le pire ennemi du cycliste ! » Le 23/11/2016, à 21:26

Gatsu
Réponses : 108

...faire le buzz sur Youtube...

La vidéo est privée.

Cette vidéo n'est pas répertoriée. Seules les personnes possédant le lien peuvent la visionner.

murph a écrit :

Voilà. Je note l'idée pour la prochaine fois où un groupe de cyclistes viendra m’empêcher de traverser sur le passage piéton. Merci F50.

S'ils sont armés de couteaux et de manches de pioche, et s'avancent vers toi en te hurlant dessus... alors oui tu n'aurais pas forcément tort.

#18 Re : -1 »  Voyage à vélo, le pire ennemi du cycliste ! » Le 25/11/2016, à 11:38

Gatsu
Réponses : 108

F50 ça sert a rien de le prendre comme ça. Tu es victime d'une campagne de trollage en règle. Te débattre ne fera que renforcer l'étreinte.

xabilon a écrit :
Gatsu a écrit :

La vidéo est privée.

avec plus de 2 millions et demi de vues ?

Cette vidéo est particulièrement choquante.

Elle n'a pas besoin non plus d'une quelconque traduction pour être comprise universellement.

murph a écrit :
Gatsu a écrit :

S'ils sont armés de couteaux et de manches de pioche, et s'avancent vers toi en te hurlant dessus... alors oui tu n'aurais pas forcément tort.

Oui mais ça n'arrivera pas. C'est bien connu que parmi les cyclistes il n'y a que des gens sympas, gentils, bien élevés et respectueux du code de la route.
L'enfer, c'est les autres comme disait Jean Paul.

Ça c'est toi qui le dis.

Mais si ça arrive tu pourras peut-être tenter de ne pas céder à la panique et de rappeler à ta bonne mémoire les grands manuels de psychologie spcécialisés sur "les signes qui ne mentent pas et comment bien réagir face à un groupe de cyclistes hostiles", comme certains ici aiment à le prodiguer pour les chiens aggressifs en meute.

Là, tu seras en mesure de faire la différence entre couteau et couteau, ces cyclistes sortaient très certainement d'un repas champêtre pendant que d'autres venaient en aide à une équipe de BTP dans le besoin. La panique ne déformant plus ta perception des choses, tu aurais compris qu'ils ne te hurlaient pas dessus, mais voulaient juste te demander l'heure. Cette même absence de panique n'aurait pas réduit ton champ de vision, et couplé à un bon sens de l'observation t'aurait permis aussi de voir les caméras de Marcel Béliveau. Comme quoi avec un peu de calme et une fois les bons manuels en tête, les choses paraissent tout de suite différentes.

#19 -1 »  Expression rationnelle - remplacement avec sed » Le 30/10/2016, à 03:50

Gatsu
Réponses : 4

Bonjour

J'utilise un petit script bash pour lancer mes jeux avec wine, et j'aimerais en profiter pour afficher les FPS vu que l'option existe. Cependant je dois passer par une expression rationnelle pour obtenir ce que je veux, et franchement je n'y pige pas grand chose. D'où mon appel à l'aide.

J'ai récupéré un exemple sur ce Gist GitHub, ce qui donne en simplifiant les choses :

WINEDEBUG=fps wine "$@" 2>&1 | tee /dev/stderr | \
sed -u -n '/^trace:fps:/{s/.* \([^ ]*\)fps/\1/;p}' | \
osd_cat -l1 -f "-*-*-*-*-*-*-32-*-*-*-*-*-*-*" -O1 -c "yellow"

que j'ai ensuite adapté à ma sauce :

export WINEDEBUG=-all,+fps
wine "${Executable}" 2>&1 | \
sed -u -n '/^trace:fps:/{s/.* \([^ ]*\)fps/\1/;p}' | \
osd_cat -l1 -f  "-*-*-*-*-*-*-18-*-*-*-*-*-*-*" -O1 -c "green"
  • Ligne 1: Permet de supprimer tous les messages de debug, et d'afficher ceux concernant les fps sur la sortie stderr.

  • Ligne 2: Je lance l'exécutable et je redirige la sortie stderr vers stdout. J'ai supprimé le tee, je n'ai aucun intérêt à renvoyer ces messages dans un fichier.

  • Ligne 3: Mon problème.

  • Ligne 4: J'affiche le résultat de la ligne 3 avec osd_cat. Avec un petit man osd_cat et xfontsel pour connaitre les bonnes options.

Un exemple de la sortie de wine :

fixme:winediag:start_process Wine Staging 1.9.21 is a testing version containing experimental patches.
fixme:winediag:start_process Please mention your exact version when filing bug reports on winehq.org.
wine: cannot find L"C:\\windows\\system32\\winemenubuilder.exe"
err:wineboot:ProcessRunKeys Error running cmd L"C:\\windows\\system32\\winemenubuilder.exe -a -r" (2)
trace:fps:swapchain_gl_present 0x14d200 @ approx 0.00fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 1808.13fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 1911.39fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 1964.69fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 1987.34fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 225.77fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 1712.19fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 1072.27fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 1972.02fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 2019.99fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 2012.66fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 1405.06fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 933.42fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 855.43fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 804.26fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 21.66fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 818.24fps
trace:fps:swapchain_gl_present 0x14d200 @ approx 937.38fps

Tout fonctionne comme prévu, j'ai 0.00 puis 1808.13, puis 1911.39, etc. qui s'affichent successivement à l'écran, sauf que j'aimerais conserver uniquement la partie entière et supprimer les décimales pour simplifier l'affichage et je ne sais pas du tout comment faire.

D'où ma question : comment faire pour ne conserver que ce qui est entre "approx " et le "." dans les lignes commençant par "trace:fps:" ?

#20 Re : -1 »  Expression rationnelle - remplacement avec sed » Le 30/10/2016, à 12:17

Gatsu
Réponses : 4

Merci merci ! Ça fonctionne parfaitement. smile

Le pire c'est que je comprends grosso-modo ce qui est fait, mais je suis totalement incapable d'en former une fonctionnelle par moi-même.

/^trace:fps:

Dans toutes les lignes commençant par "trace:fps:"

/s

On fait une substitution

/.* ([0-9]+)\..*

De n'importe quel caractère, suivi d'un espace, puis (1 ou plusieurs chiffres), suivi d'un point, puis n'importe quel caractère

/\1

On ne conserve que la partie entre parenthèse

/p

On imprime le résultat

En même temps, c'est toujours plus simple avec la solution sous les yeux. Quoique, je vois qu'il y a un petit -nr qui s'est glissé entre deux, ceci expliquant peut-être mes échecs. Un jour peut-être, y arriverai-je. tongue

#21 Re : -1 »  Expression rationnelle - remplacement avec sed » Le 30/10/2016, à 14:07

Gatsu
Réponses : 4

Ah ok. Donc sans le -r il fallait encore en plus que j'échappe le + derrière [0-9]. J'y serais jamais arrivé tout seul. Mais maintenant que tu le dis, c'est vrai que c'est expliqué clairement dans la doc.

Merci pour cette explication, je tâcherai de m'en souvenir dans mes prochains essais.

#22 Re : -1 »  Impossible de lancer Steam sur Ubuntu 16.10 » Le 15/10/2016, à 11:55

Gatsu
Réponses : 25

Ton ldd m'a l'air parfait. S'il y avait eu un problème, tu l'aurais tout de suite remarqué. Il indique "not found" en face de la bibliothèque manquante (voir ici pour un exemple). Accessoirement tu peux voir également l'emplacement des bibliothèques utilisées.

Les 2 scripts de démarrage des dépôts Ubuntu et de Steam sont complètement différents. Celui de Steam est beaucoup trop compliqué pour moi, je ne sais pas trop ce qu'il fait (bootstrap et tout le tralala). J'avais eu une discussion à ce sujet avec GrumD il y a quelques semaines.

Pour ma part je conseille le paquet des dépôts contrairement à ce qui est indiqué dans la doc ubuntu, car plus adapté à l'environnement spécifique d'Ubuntu. D'autre part Valve ne devrait pas se soucier de fournir un paquet .deb, ils ne sont pas capables de gérer tous les problèmes internes à chaque distribution. Et vu les problèmes que tu as rencontré, ça me conforte dans ce choix.

Concernant Faeria, si tu te sens le courage, tu peux faire un rapport de bug.
http://packages.ubuntu.com/yakkety/steam

#23 Re : -1 »  Impossible de lancer Steam sur Ubuntu 16.10 » Le 15/10/2016, à 13:07

Gatsu
Réponses : 25

Pour le ldd, tu peux voir qu'il y a des bibliothèques sans emplacement, et des emplacements sans bibliothèque. big_smile
Je t'avouerais que je ne sais pas trop à quoi ça correspond (ld-linux-x86-64.so.2 concerne probablement ldd lui-même), mais les seuls problèmes que j'ai rencontrés jusqu'à maintenant, étaient tous liés à des bibliothèques qualifiées de "not found".

Concernant le paquet .deb de Valve, je les vois mal corriger l'ensemble des problèmes pour chaque distribution et chaque version de distribution. Rien qu'Ubuntu en a 4 en cours, 12.04, 14.04, 16.04, 16.10, chacune ayant potentiellement ses problèmes spécifiques et ses solutions créant des problèmes pour d'autres versions. Et c'est sans compter les autres distributions qui utilisent les paquets deb.

Pour ma part, je pense que Valve devrait se contenter de livrer un .tar.gz avec leur installateur (le fameux binaire "/usr/games/steam.real" dans le deb des dépôts 16.04, et "/lib/games/steam/steam" dans ceux de la 16.10) accompagné d'une documentation sur son utilisation. Charge ensuite pour les mainteneurs des distribs, d'empaqueter le logiciel, de faire un suivi des bugs et de dialoguer avec Valve sur les possibles améliorations.
Ça me fait penser à un journal sur linuxfr.org qui est passé la semaine dernière : Comment distribuer un logiciel pour GNU/Linux ?

Il y a aussi le problème de la steam-runtime. Là on en est à 4 ans de dette technologique (ubuntu12_32) et toujours coincé sur un architecture 32 bits pour Steam lui-même. Mais là Valve à créer un problème bien trop complexe dont la transition va être très difficile à négocier.

Pour le rapport de bug, comme tu ne peux tester et confirmer son existence que sur Ubuntu, je pense que c'est la meilleure façon de le remonter pour toi. Ensuite je pense que les mainteneurs des autres distribs sont également inscrits sur cette liste de discussion, donc ça devrait pouvoir essaimer un peu partout. Apparemment les mainteneurs Ubuntu et Debian sont la même personne.

#24 Re : -1 »  Impossible de lancer Steam sur Ubuntu 16.10 » Le 22/10/2016, à 01:51

Gatsu
Réponses : 25
abelthorne a écrit :

J'ai fait un rapport de bug sur Launchpad, on verra bien ce que ça donne. J'avais aussi posé la question sur GitHub mais comme c'est le week-end, il y a moins d'activité ; je verrai s'il faut le faire aussi ailleurs.

Ton rapport de bug sur Launchpad n'a pas l'air de déchainer les foules. J'ai des doutes sur le fait qu'il y ait quelqu'un qui s'occupe du paquet Steam chez Ubuntu. En regardant le changelog, apparemment ils se contentent simplement de recopier le paquet Debian Sid et de rajouter Ubuntu à la fin.

Alors tu peux essayer de le rapporter directement chez Debian, mais comme tu ne peux le confirmer que sur la 16.10, je ne sais pas trop comment tu vas être reçu. Et de toute façon vu la politique d'Ubuntu sur ce paquet, tu ne verras les changements qu'à partir de la prochaine 17.04.

Quoiqu'il en soit la mailing list Debian Games Team pourrait être un bon point d'entrée si tu veux te lancer dans cette voie. Ce sont eux qui s'occupent du paquet Steam (voir tout en bas de cette page, dans la section non-free), et en plus il y a l'air d'y avoir un peu d'activité tous les mois.